#include "TestProj.h"

int main()
{
	string path,ans;
	bool DMRW,Klein,Shasha;
	int amount;
	cout<<"Enter a path to save the results:"<<endl;
	cin>>path;
	cout<<"Would you like to use DMRW?(y/n)"<<endl;
	cin>>ans;
	if(ans=="y")
		DMRW = true;
	else
		DMRW = false;
	cout<<"Would you like to use Klein?(y/n)"<<endl;
	cin>>ans;
	if(ans=="y")
		Klein = true;
	else
		Klein = false;
	cout<<"Would you like to use Shasha & Zhang?(y/n)"<<endl;
	cin>>ans;
	if(ans=="y")
		Shasha = true;
	else
		Shasha = false;
	cout<<"Would you like to load the test files (from the results directory)(y/n):"<<endl;
	cin>>ans;
	cout<<"Enter how many tests would you like to run:";
	cin>>amount;
	
	TestProj T(path , DMRW , Klein , Shasha);
	if(ans == "n")
		T.TestProjCreate(amount , NULL);
	else
		T.TestProjLoad(amount , NULL);
	return 0;
}
